org.keycloak.models

## Class AuthenticationExecutionModel

- java.lang.Object
- - org.keycloak.models.AuthenticationExecutionModel

- All Implemented Interfaces:
    Serializable

      public class AuthenticationExecutionModel
      extends Object
      implements Serializable

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AuthenticationExecutionModel.ExecutionComparator`
    `static class` | `AuthenticationExecutionModel.Requirement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationExecutionModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getAuthenticator()`
    `String` | `getAuthenticatorConfig()`
    `String` | `getFlowId()` If this execution is a flow, this is the flowId pointing to an AuthenticationFlowModel
    `String` | `getId()`
    `String` | `getParentFlow()`
    `int` | `getPriority()`
    `AuthenticationExecutionModel.Requirement` | `getRequirement()`
    `int` | `hashCode()`
    `boolean` | `isAlternative()`
    `boolean` | `isAuthenticatorFlow()` Is the referenced authenticator a flow?
    `boolean` | `isConditional()`
    `boolean` | `isDisabled()`
    `boolean` | `isEnabled()`
    `boolean` | `isRequired()`
    `void` | `setAuthenticator(String authenticator)`
    `void` | `setAuthenticatorConfig(String authenticatorConfig)`
    `void` | `setAuthenticatorFlow(boolean authenticatorFlow)`
    `void` | `setFlowId(String flowId)`
    `void` | `setId(String id)`
    `void` | `setParentFlow(String parentFlow)`
    `void` | `setPriority(int priority)`
    `void` | `setRequirement(AuthenticationExecutionModel.Requirement requirement)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationExecutionModel

          public AuthenticationExecutionModel()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getAuthenticatorConfig

          public String getAuthenticatorConfig()

    - #### setAuthenticatorConfig

          public void setAuthenticatorConfig(String authenticatorConfig)

    - #### getAuthenticator

          public String getAuthenticator()

    - #### setAuthenticator

          public void setAuthenticator(String authenticator)

    - #### getRequirement

          public AuthenticationExecutionModel.Requirement getRequirement()

    - #### setRequirement

          public void setRequirement(AuthenticationExecutionModel.Requirement requirement)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority(int priority)

    - #### getParentFlow

          public String getParentFlow()

    - #### setParentFlow

          public void setParentFlow(String parentFlow)

    - #### getFlowId

          public String getFlowId()

      If this execution is a flow, this is the flowId pointing to an AuthenticationFlowModel
      Returns:

    - #### setFlowId

          public void setFlowId(String flowId)

    - #### isAuthenticatorFlow

          public boolean isAuthenticatorFlow()

      Is the referenced authenticator a flow?
      Returns:

    - #### setAuthenticatorFlow

          public void setAuthenticatorFlow(boolean authenticatorFlow)

    - #### isRequired

          public boolean isRequired()

    - #### isConditional

          public boolean isConditional()

    - #### isAlternative

          public boolean isAlternative()

    - #### isDisabled

          public boolean isDisabled()

    - #### isEnabled

          public boolean isEnabled()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.